Subject: Re: bug#78345: Koutliner error in file name without file type [not a bug, exactly]

From: Mats Lidell <[email-masked]>
Date: Mon, 12 May 2025 15:43:31 +0200

> Cena Mayo writes:
> In my simple-mindedness as an (Emacs) newbie trying out Hyperbole, (9.0.1 on Emacs 31.0.50) I attempted to create a new Koutliner file via the
> Hyperbole menu->Koutliner->Create-File.
>
> After entering the name of the file and pressing return, I got:
>
> Debugger entered--Lisp error: (void-function klabel-type:function)
>   klabel-type:function(alpha)
>   kview:set-functions(alpha)
>   kview:create("changes")
>   kfile:create(#<buffer changes>)
>   kfile:read(#<buffer changes> nil)
>   kfile:find("~/.emacs.d/changes")
>   funcall-interactively(kfile:find "~/.emacs.d/changes")
>   command-execute(kfile:find)
>
> As you can see, I left the file type off of the file name; including it (changes.kotl)) resolves the issue. 
>
> So this isn't a bug, per se; I'm just reporting this because maybe(?) a reminder upon file name input or auto-addition of the file type to the file name
> could be implemented?  In your copious free time? 

Thanks for the report. I can recreate the issue on thus confirm it.

I think it is a loading or dependency issue where all relevant kotl functions are not loaded as they should. A possible workaround is to add a "(require 'kotl-mode)" to your .emacs. The problem is present in all versions of Hyperbole.

%% Mats